import { defineStore } from 'pinia'
import type { Character } from '@/types'
import config from '@/config'

export const useGmPanelStore = defineStore('gmPanel', {
  state: () => ({
    isOpen: false
  }),
  actions: {
    toggle() {
      this.isOpen = !this.isOpen
    },
    open() {
      this.isOpen = true
    },
    close() {
      this.isOpen = false
    }
  }
})
